<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="io.iost.hub.android">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />

    <application
        android:name=".HubApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">

        <provider
            android:name="android.support.v4.content.FileProvider"
            android:authorities="${applicationId}.provider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths" />
        </provider>

        <activity
            android:name=".ui.feature.SplashActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.Launcher">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>

        <activity
            android:name=".ui.feature.navigation.NavigationActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.feature.daily.DailyQuestActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.feature.webview.WebviewActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.feature.passport.LoginActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.feature.passport.RegisterActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.feature.passport.RegisterNextActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.feature.passport.ResetPasswordActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.feature.passport.AreaActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.feature.account.balance.BalanceActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.feature.account.balance.WithdrawActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.feature.account.balance.BalanceWithdrawActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.feature.account.balance.WithdrawRulesActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.feature.account.referral.ReferralActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.feature.account.social.SocialActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.feature.account.setting.SettingActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.feature.account.aboutus.AboutUsActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name="zendesk.support.guide.HelpCenterActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ZendeskTheme" />

        <activity
            android:name="zendesk.support.guide.ViewArticleActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ZendeskTheme" />

        <activity
            android:name="zendesk.support.request.RequestActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ZendeskTheme" />

        <activity
            android:name="zendesk.support.requestlist.RequestListActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ZendeskTheme" />

        <activity
            android:name=".ui.feature.daily.OAuthActivity"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data android:scheme="iosthub" />
            </intent-filter>
        </activity>

        <service android:name=".push.fcm.HubFirebaseMessagingService">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>

        <receiver
            android:name=".push.jpush.JPushReceiver"
            android:enabled="true">
            <intent-filter>
                <!--Required 用户注册SDK的intent-->
                <action android:name="cn.jpush.android.intent.REGISTRATION" />
                <!--Required 用户接收SDK消息的intent-->
                <action android:name="cn.jpush.android.intent.MESSAGE_RECEIVED" />
                <!--Required 用户接收SDK通知栏信息的intent-->
                <action android:name="cn.jpush.android.intent.NOTIFICATION_RECEIVED" />
                <!--Required 用户打开自定义通知栏的intent-->
                <action android:name="cn.jpush.android.intent.NOTIFICATION_OPENED" />
                <!-- 接收网络变化 连接/断开 since 1.6.3 -->
                <action android:name="cn.jpush.android.intent.CONNECTION" />
                <category android:name="${applicationId}" />
            </intent-filter>
        </receiver>
    </application>

</manifest>
